﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace UltraSchedule_Appointment
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.comboBox1.SelectedIndexChanged += ComboBox1_SelectedIndexChanged;
        }

        private void ComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.ultraCalendarLook1.ViewStyle = (ViewStyle)this.comboBox1.SelectedItem;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            #region ViewStyle を ComboBox にバインド
            Type enumType = typeof(ViewStyle);
            System.Type enumUnderlyingType = System.Enum.GetUnderlyingType(enumType);
            System.Array enumValues = System.Enum.GetValues(enumType);
            foreach(var val in enumValues)
            {
                this.comboBox1.Items.Add(val);
            }
            #endregion

            this.ultraDayView1.CalendarInfo = this.ultraCalendarInfo1;
            this.ultraDayView1.CalendarLook = this.ultraCalendarLook1;
            //this.ultraCalendarLook1.ViewStyle = Infragistics.Win.UltraWinSchedule.ViewStyle.Office2007;
            this.comboBox1.SelectedIndex = 4;

            this.ultraCalendarInfo1.Appointments.Add(DateTime.Now, "Appointment Subject1");
            this.ultraCalendarInfo1.Appointments.Add(DateTime.Now, "Appointment Subject2");
            this.ultraCalendarInfo1.Appointments.Add(DateTime.Now, "Appointment Subject3");

            ultraCalendarInfo1.SelectedDateRanges.Clear();
            ultraCalendarInfo1.SelectedDateRanges.Add(DateTime.Today, 6);
        }
    }
}
